%define with_test 0
Name:          jutils
Version:       1.0.1
Release:       %mkrel 3
Summary:       Common utilities for the Game Technology Group
Group:         Development/Java
License:       BSD
Url:           http://java.net/projects/jutils
# svn export https://svn.java.net/svn/jutils~svn/trunk jutils-1.0.1
# tar czf jutils-1.0.1-src-svn.tar.gz jutils-1.0.1
Source0:       jutils-1.0.1-src-svn.tar.gz
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-gpg-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-source-plugin
Requires:      jpackage-utils
BuildArch:     noarch

%description
The JUtils Project hosts an implementation of a set of APIs utilized by other Java™ Game Technology
Group projects (eg JInput,JOAl, JOGL). Some of those other projects may have build and/or run-time
dependancies on the jutils.jar file which is built from the source hosted here.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
JUtils - Common utilities for the Game Technology Group.

This package contains javadoc for %{name}.

%prep
%setup -q -n jutils-%{version}

for j in $(find . -name "*.jar"); do
  mv $j ${j}.no
done
for c in $(find . -name "*.class"); do
  rm -rf $c
done

rm -rf apidocs

%build

%if %with_test
DISPLAY=:0.0
export DISPLAY
%endif

mvn-rpmbuild \
%if !%with_test
  -Dmaven.test.skip=true \
%endif
  install javadoc:javadoc

%install
mkdir -p %{buildroot}%{_javadir}

install -m 644 target/jutils-%{version}-SNAPSHOT.jar \
  %{buildroot}%{_javadir}/jutils.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-jutils.pom
%add_maven_depmap JPP-jutils.pom jutils.jar

mkdir -p %{buildroot}%{_javadocdir}/jutils
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/jutils

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/jutils.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc README.txt

%files javadoc
%{_javadocdir}/jutils



%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.0.1-3.mga4
+ Revision: 508920
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 dmorgan <dmorgan> 1.0.1-2.mga3
+ Revision: 362760
- Build with maven 3

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jun 23 2011 dmorgan <dmorgan> 1.0.1-1.mga2
+ Revision: 112681
- Simply spec file

  + gil <gil>
    - imported package jutils


* Thu Jun 23 2011 gil <gil> 1.0.1-0.%%mkrel
- initial rpm